org.apache.cassandra.db

## Class ColumnSerializer.CorruptColumnException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.cassandra.db.ColumnSerializer.CorruptColumnException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ColumnSerializer

      public static class ColumnSerializer.CorruptColumnException
      extends java.io.IOException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorruptColumnException(java.lang.String s)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnSerializer.CorruptColumnException` | `create(java.io.DataInput in, java.nio.ByteBuffer name)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CorruptColumnException

          public CorruptColumnException(java.lang.String s)

  - ### Method Detail

    - #### create

          public static ColumnSerializer.CorruptColumnException create(java.io.DataInput in,
                                                                       java.nio.ByteBuffer name)

Copyright © 2018 The Apache Software Foundation